Bug 383811 - dmraid needs to activate device-mapper mirror resynchronization error handling
dmraid needs to activate device-mapper mirror resynchronization error handling
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dmraid (Show other bugs)
4.6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Corey Marthaler
:
Depends On: 379951
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 22:20 EST by Ian Kent
Modified: 2011-02-17 07:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 07:25:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add handle_error argument (404 bytes, patch)
2007-11-14 22:20 EST, Ian Kent
no flags Details | Diff

  None (edit)
Description Ian Kent 2007-11-14 22:20:55 EST
+++ This bug was initially created as a clone of Bug #379951 +++

Description of problem:
dmraid needs to add the 'handle_errors' argument to mapping tables created for
mirror mappings in order to take advantage of the resynchronization error handling.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1.Check RAID1 mapping table created via "dmraid -tay"
  
Actual results:
Table doesn't contain the handle_errors argument.

Expected results:
Table does contain it.

Additional info:

-- Additional comment from heinzm@redhat.com on 2007-11-13 08:25 EST --
Created an attachment (id=256851)
dmraid mirror target handle_errors mapping table argument addition patch
Comment 1 Ian Kent 2007-11-14 22:20:55 EST
Created attachment 259331 [details]
Patch to add handle_error argument
Comment 2 RHEL Product and Program Management 2007-11-28 22:55:13 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Suzanne Yeghiayan 2008-05-28 17:27:25 EDT
Unfortunately this bugzilla was not resolved in time for RHEL 4.7 Beta.
It has now been proposed for inclusion in RHEL 4.8 but must regain Product
Management approval.
Comment 4 RHEL Product and Program Management 2008-10-31 12:43:12 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 Alasdair Kergon 2011-02-17 07:25:43 EST
The fix got into RHEL5, 6 and upstream, but not RHEL4, which has just had it's
last update, so it's too late now.

Note You need to log in before you can comment on or make changes to this bug.